MU VERIFY(1)

NAME

mu-verify - verify message signatures and display information about them

SYNOPSIS

mu [common-options] verify [options] [<file> ... ]

DESCRIPTION

mu verify is the mu command for verifying message signatures (such as PGP/GPG signatures) and displaying information about them. The sub-command works on message files, and does not require the message to be indexed in the database.

If no message file is provided, the command expects the message on standard-input.

VERIFY OPTIONS

  -r, --auto-retrieve

attempt to find keys online (see the auto-key-retrieve option in the gnupg(1) documentation).

  decrypt

attempt to decrypt the message

COMMON OPTIONS

  -d, --debug

makes mu generate extra debug information, useful for debugging the program itself. By default, debug information goes to the log file, ~/.cache/mu/mu.log. It can safely be deleted when mu is not running. When running with --debug option, the log file can grow rather quickly. See the note on logging below.

  -q, --quiet

causes mu not to output informational messages and progress information to standard output, but only to the log file. Error messages will still be sent to standard error. Note that mu index is much faster with --quiet, so it is recommended you use this option when using mu from scripts etc.

  --log-stderr

causes mu to not output log messages to standard error, in addition to sending them to the log file.

  --nocolor

do not use ANSI colors. The environment variable NO_COLOR can be used as an alternative to --nocolor.

  -V, --version

prints mu version and copyright information.

  -h, --help

lists the various command line options.

EXAMPLES

To display aggregated (one-line) information about the verification status in a message:
    $ mu verify msgfile

To display information about all the signatures:
    $ mu verify --verbose msgfile

If you only want to use the exit code, you can use:
    $ mu verify --quiet msgfile

which does not give any output unless there is an error.

REPORTING BUGS

Please report bugs at https://github.com/djcb/mu/issues.

AUTHOR

Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>

COPYRIGHT

This manpage is part of mu 1.12.5.

Copyright Â© 2008-2024 Dirk-Jan C. Binnema. License GPLv3+: GNU GPL version 3 or later https://gnu.org/licenses/gpl.html. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO

mu(1)